package com.ssj.bean.sys.usercenter.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 校长信息
 * @author Mount Liu
 * @date 2018/9/20
 */
@Entity
@Table(name = "ssj_schoolmaster_v")
public class SchoolmasterCenter extends BaseEntity {
    /**
     * id varchar(36) not null,
     lib_id varchar(36) not null comment 'tb_lib_join id',
     user_id varchar(50) not null comment 'tb_user user_id',
     primary key (id)
     */
    private static final long serialVersionUID = 1L;
    private String libId;
    private String userId;
    private Integer type ;  // 1图书馆管理员，2作业吧管理员,3学霸老师
    private String name; //真实姓名
    private String telephone; //电话号码
    private Integer sex;   //性别
    private Integer libtype; //1、家庭图书馆 2、共享图书馆

    private String birthday;//生日
    private String masterId;
    private String courseName;
    private String grade;
    private String tPhoto;

    private Integer state; //1有效-2无效

    private Integer schoolAge; //教龄
    private String teacherLever; //注册老师/明星老师
    private String personalLabel; //老师标签，分隔

    private Date createTime;

    private String teacherType; //老师类型  兼职/全职

    private String personalInfo; //个人简介


    private String teachPoint;//

    private Integer studentCount;  //授课学生数
    private Integer courseCount;   //授课次数
    private float praise;          //好评度


    private String successfulCase;//成功案例
    public String gettPhoto() {
        return tPhoto;
    }
    public void settPhoto(String tPhoto) {
        this.tPhoto = tPhoto;
    }
    public String getMasterId() {
        return masterId;
    }
    public void setMasterId(String masterId) {
        this.masterId = masterId;
    }
    public String getCourseName() {
        return courseName;
    }
    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }
    public String getGrade() {
        return grade;
    }
    public void setGrade(String grade) {
        this.grade = grade;
    }
    public String getLibId() {
        return libId;
    }
    public void setLibId(String libId) {
        this.libId = libId;
    }
    public String getUserId() {
        return userId;
    }
    public void setUserId(String userId) {
        this.userId = userId;
    }
    public Integer getType() {
        return type;
    }
    public void setType(Integer type) {
        this.type = type;
    }
    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getTelephone() {
        return telephone;
    }
    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }
    public Integer getSex() {
        return sex;
    }
    public void setSex(Integer sex) {
        this.sex = sex;
    }
    public Integer getLibtype() {
        return libtype;
    }
    public void setLibtype(Integer libtype) {
        this.libtype = libtype;
    }
    public String getBirthday() {
        return birthday;
    }
    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }
    public Integer getState() {
        return state;
    }
    public void setState(Integer state) {
        this.state = state;
    }
    public Integer getSchoolAge() {
        return schoolAge;
    }
    public void setSchoolAge(Integer schoolAge) {
        this.schoolAge = schoolAge;
    }
    public String getTeacherLever() {
        return teacherLever;
    }
    public void setTeacherLever(String teacherLever) {
        this.teacherLever = teacherLever;
    }
    public String getPersonalLabel() {
        return personalLabel;
    }
    public void setPersonalLabel(String personalLabel) {
        this.personalLabel = personalLabel;
    }
    public String getTeacherType() {
        return teacherType;
    }
    public void setTeacherType(String teacherType) {
        this.teacherType = teacherType;
    }
    public String getPersonalInfo() {
        return personalInfo;
    }
    public void setPersonalInfo(String personalInfo) {
        this.personalInfo = personalInfo;
    }
    public String getTeachPoint() {
        return teachPoint;
    }
    public void setTeachPoint(String teachPoint) {
        this.teachPoint = teachPoint;
    }
    public String getSuccessfulCase() {
        return successfulCase;
    }
    public void setSuccessfulCase(String successfulCase) {
        this.successfulCase = successfulCase;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public Integer getCourseCount() {
        return courseCount;
    }

    public void setCourseCount(Integer courseCount) {
        this.courseCount = courseCount;
    }

    public float getPraise() {
        return praise;
    }

    public void setPraise(float praise) {
        this.praise = praise;
    }
}
